UI::GXML::XPathObject Class Reference

XPath object holder class. More...

`#include <XPathObject.hpp>`

Inheritance diagram for UI::GXML::XPathObject:
Collaboration diagram for UI::GXML::XPathObject:

## Public Types

enum | ErrorCode { EvalError_ , NotAString_ , NotABool_ , NotAFloat_ }
| Error codes for exceptions.
typedef CodeException< ErrorCode > | Exception
| Exceptions for this class.
typedef xmlXPathObjectType | Type
| Abstract from libxml2 type.

## Public Member Functions

| XPathObject (XPathContext const &context, std::string const &xpath)
| Public constructor.
Type | getType () const
| Get type of this xpath object.
Get value of this xpath object.
If this object's type is not of according type, these methods will throw an appr. exception.
std::string | getString () const
double | getNumber () const
bool | getBoolean () const

## Protected Member Functions

| XPathObject (xmlXPathContextPtr const context, std::string const &xpath)
| Internal constructor.

## Friends

class | XMLTree
class | Tree

## Detailed Description

XPath object holder class.

## Friends And Related Symbol Documentation

## XMLTree

friend class XMLTree

friend

Todo
  Compat.

References XMLTree.

Referenced by XMLTree.

The documentation for this class was generated from the following files:

- XPathObject.hpp
- XPathObject.cpp